oracle.xml.xquery

## Class OXQDebugListener

- java.lang.Object
- - oracle.xml.xquery.OXQDebugListener

    public abstract class OXQDebugListener
    extends java.lang.Object

An event listener for implementing an XQuery debugger client.

Since:
  12.1
See Also:
  `OXQDynamicContext.setDebugListener(OXQDebugListener)`, `OXQDataSource.DEBUG_MODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `enter(XQStackTraceElement element)` Invoked when the processor enters a function or the main query.
`abstract void` `exit(XQStackTraceElement element)` Invoked when the processor exits a function or the main query.
`abstract void` `step(XQStackTraceElement element)` Invoked before a line of XQuery source code is about to be processed.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### enter

    public abstract void enter(XQStackTraceElement element)
                        throws XQException

Invoked when the processor enters a function or the main query.

Parameters:
  `element` - Contains only information about the function declaration. `XQStackTraceElement.getVariables()` and `OXQStackTraceElement.getStaticContext()` return `null`.
Throws:
  `XQException`
See Also:
  `OXQView.getStackTraceElement(javax.xml.xquery.XQStackTraceElement)`

#### exit

    public abstract void exit(XQStackTraceElement element)
                       throws XQException

Invoked when the processor exits a function or the main query.

Parameters:
  `element` - Contains only information about the function declaration. `XQStackTraceElement.getVariables()` and `OXQStackTraceElement.getStaticContext()` return `null`.
Throws:
  `XQException`
See Also:
  `OXQView.getStackTraceElement(javax.xml.xquery.XQStackTraceElement)`

#### step

    public abstract void step(XQStackTraceElement element)
                       throws XQException

Invoked before a line of XQuery source code is about to be processed.

Parameters:
  `element` - Contains information about the line.
Throws:
  `XQException`
See Also:
  `OXQView.getStackTraceElement(javax.xml.xquery.XQStackTraceElement)`

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.